.town-row {
	font-size: 1.2rem;
}

#save-spots-container, .save-spots-container {
  div.town-reserved-spot {
    display: inline-block; padding: 1px 4px; font-size: 0.8em; background: #5c2b20; border: 1px solid #452017; box-shadow: 0 0 1px black;
    margin: 0 4px; cursor: default;
    &>* { margin-left: 5px; }
  }
  div.placeholder, #stateholder {
    font-size: 0.8em; color: #ddab76;
    &.placeholder:not(:last-child) {display:none}
  }
}

.town-random {
  margin: auto; width: 511px; max-width: 100%; height: 50px; background: url("../../img/background/joinGame_bg.png") center/contain no-repeat;
  padding: 0 10px;
  &>.label { height: calc(100% - 5px); width: calc(100% - 220px); font-weight: bold; font-size: 1.35rem }
}

.town-join-rp {
  width: min-content; padding-right: 15px; display: inline-block;vertical-align: top;
  .town-join-rp-head {
    color:white; font-size: 110%; font-weight: bold; display: inline-block; width: max-content;
  }
  .town-join-rp-text {
    font-size: 80%; width: max-content;
  }
}